E-Signature
Electronic signing of contracts.
POST/api/financing-cases/{financingCaseId}/start-esignature
Start the eSignature process for a financing case
Submits authorized persons and starts the eSignature process. The financing case must have a quote in FINANCE_ACCEPTED status.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| financingCaseId | path | string | yes | StartESignatureRequest identifier |
Request body
| Name | Type | Required | Description |
|---|---|---|---|
| authorizedPersons | array<AuthorizedPersonData> | yes | Persons authorized to sign; at least one is required. |
Code samples
curl -X POST 'https://sandbox.partner.miete24.com/api/financing-cases/{financingCaseId}/start-esignature' \
-H 'X-Api-Key: YOUR_API_KEY'
const response = await fetch('https://sandbox.partner.miete24.com/api/financing-cases/{financingCaseId}/start-esignature', {
method: 'POST',
headers: {
'X-Api-Key': 'YOUR_API_KEY',
},
});
const data = await response.json();
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | StartESignatureRequest resource created | StartESignatureRequest.StartESignatureResponse |
| 400 | Invalid input | — |
| 403 | Forbidden | — |
| 422 | Unprocessable entity | — |